# Define if you want to build the sane backend (default)
%define sane_backend		1
%{?_with_sane:			%global sane_backend 1}
%{?_without_sane:		%global sane_backend 0}

%define hpip_major		0
%define hpip_libname		%mklibname hpip %{hpip_major}

%define sane_hpaio_major	1
%define sane_hpaio_libname	%mklibname sane-hpaio %{sane_hpaio_major}

# Suppress automatically generated Requires for devel packages
%define _requires_exceptions devel\(.*\)

#define extraversion -RC1
%define extraversion %nil

Summary:	HP printer/all-in-one driver infrastructure
Name:		hplip
Version:	3.11.10
Release:	%mkrel 1
License:	GPLv2+ and MIT
Group:		System/Printing
Source:		http://heanet.dl.sourceforge.net/sourceforge/hplip/%{name}-%{version}%{extraversion}.tar.gz
Source1:	hpcups-update-ppds.sh
# dlopen libhpmud.so.0 instad of libhpmud.so, in order not to depend on
# devel package (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=548379)
Patch0:	hplip-3.9.8-dlopen-libhpmud.patch
Patch1: hplip-3.11.3-link.patch

# Fedora patches
Patch101: hplip-pstotiff-is-rubbish.patch
Patch102: hplip-strstr-const.patch
Patch103: hplip-ui-optional.patch
Patch104: hplip-no-asm.patch
Patch105: hplip-deviceIDs-drv.patch
Patch106: hplip-mucks-with-spooldir.patch
Patch107: hplip-udev-rules.patch
Patch108: hplip-retry-open.patch
Patch110: hplip-discovery-method.patch
Patch111: hplip-device-reconnected.patch
Patch112: hplip-clear-old-state-reasons.patch
Patch114: hplip-hpcups-sigpipe.patch
Patch116: hplip-bad-low-ink-warning.patch
Patch117: hplip-deviceIDs-ppd.patch
Patch118: hplip-skip-blank-lines.patch
Patch119: hplip-dbglog-newline.patch
Patch120: hplip-no-system-tray.patch
Patch122: hplip-hpijs-marker-supply.patch
Patch124: hplip-raw_deviceID-traceback.patch
Patch125: hplip-UnicodeDecodeError.patch
Patch126: hplip-emit-SIGNAL.patch
Patch127: hplip-fab-root-crash.patch
Patch128: hplip-addprinter.patch
Patch129: hplip-dbus-exception.patch
Patch130: hplip-hpaio-segfault.patch
Patch131: hplip-newline.patch
Patch132: hplip-dbus-threads.patch
Patch133: hplip-notification-exception.patch
Patch135: hplip-CVE-2010-4267.patch
Patch136: hplip-CVE-2011-2722.patch

# Debian/Ubuntu patches
Patch202: hplip-hpinfo-query-without-cups-queue.patch
Patch203: hplip-pjl-duplex-binding.patch
Patch204: hplip-photosmart_b9100_support.patch
Patch205: 85_rebuild_python_ui.dpatch
Patch206: hplip-rss.patch
Patch207: hplip-2.7.6-14_charsign_fixes.patch
Patch208: 10_shebang_fixes.dpatch
Patch210: 87_move_documentation.dpatch
Patch211: hp-check_debian.dpatch
Patch212: delayed-hp-systray-start.dpatch

Url:		http://hplip.sourceforge.net/
%if %{sane_backend}
BuildRequires:	libsane-devel, xsane
%endif
%py_requires -d
BuildRequires:	python-sip >= 4.1.1
BuildRequires:	net-snmp-devel
BuildRequires:	libusb-devel >= 0.1.8
BuildRequires:	imagemagick
BuildRequires:	autoconf
BuildRequires:	libcups-devel
BuildRequires:	libjpeg-devel
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libdbus-devel
BuildRequires:	udev-devel
BuildRequires:	polkit
BuildRequires:	gphoto2-devel
BuildRequires:	libv4l-devel
Requires:	cups
# For dynamic ppd generation.
Requires:	cupsddk-drivers >= 1.2.3-2mdv
Requires:	foomatic-filters
Requires:	hplip-model-data hplip-hpijs
Requires:	hplip-hpijs-ppds
Requires:	python-sip >= 4.1.1
# Needed for communicating with ethernet-connected printers
Requires:	net-snmp-mibs
# Needed to generate fax cover pages
Requires:	python-reportlab
# Needed since 2.8.4 for IPC
Requires:	python-dbus
Requires:	polkit-agent
Requires:	usermode-consoleonly
Requires:	python-gobject
# Required by hp-scan for command line scanning
Suggests:	python-imaging
# Some HP ppds are in foomatic-db and foomatic-db-hpijs (bug #47415)
Suggests:	foomatic-db-hpijs

%ifarch x86_64
Conflicts:	cups < 1.2.0-0.5361.0mdk
%endif
# Due to fax ppds.
Conflicts:	hplip-hpijs-ppds <= 2.8.2-1mdv
# foomatic-db-hpijs drivers are provided by hp and by this package now
# NOTE: remove the foomatic-db-hpijs deps sometime in 2010-10-?? ?
Provides:	foomatic-db-hpijs = %{version}-%{release}
Obsoletes:	foomatic-db-hpijs
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is the HP driver package to supply Linux support for most
Hewlett-Packard DeskJet, LaserJet, PSC, OfficeJet, and PhotoSmart
printers and all-in-one peripherals (also known as Multi-Function
Peripherals or MFPs), which can print, scan, copy, fax, and/or access
flash memory cards.

It is work in progress, but printing, scanning, memory card access,
ink/toner/battery/consumable level checking, and inkjet printer
maintenance are supported on most models, when either connected to the
USB or LAN (built-in interfaces or selected HP JetDirect models) on a
Linux workstation with CUPS printing system.

For status and consumable checking and also for inkjet maintenance
there is the graphical tool "hp-toolbox" available (Menu:
"System"/"Monitoring"/"HP Printer Toolbox").

%package -n %{hpip_libname}
Summary: Dynamic library for the "hplip" HP printer/all-in-one drivers
Group: System/Printing

%description -n %{hpip_libname}
Library needed for the "hplip" HP printer/all-in-one drivers

%package -n %{hpip_libname}-devel
Summary: Headers and links to compile against the "%{hpip_libname}" ("hplip") library
Group: Development/C
Requires: %{hpip_libname} >= %{version}-%{release}
Provides: libhpip-devel = %{version}-%{release}

%description -n %{hpip_libname}-devel
This package contains all files which one needs to compile programs using
the "%{hpip_libname}" library.

%if %{sane_backend}
%package -n %{sane_hpaio_libname}
Summary: SANE driver for scanners in HP's multi-function devices (from HPLIP)
Group: System/Printing
Requires: sane-backends
%define _requires_exceptions devel(libcrypto)\\|devel(libdl)\\|devel(libhpip)\\|devel(libm)\\|devel(libsnmp)
%endif

%if %{sane_backend}
%description -n %{sane_hpaio_libname}
SANE driver for scanners in HP's multi-function devices (from HPLIP)
%endif

%if 0
%if %{sane_backend}
%package -n %{sane_hpaio_libname}-devel
Summary: Headers and links to compile against the "%{sane_hpaio_libname}" ("sane-hpaio") library
Group: Development/C
Requires: %{sane_hpaio_libname} >= %{version}-%{release}
Provides: libsane-hpaio-devel = %{version}-%{release}
%endif

%if %{sane_backend}
%description -n %{sane_hpaio_libname}-devel
This package contains all files which one needs to compile programs using
the "%{sane_hpaio_libname}" library.
%endif
%endif

%package model-data
Summary: Data file listing the HP printer models supported by HPLIP
Group: System/Printing

%description model-data
HPLIP supports most current HP printers and multifunction devices, but
there are some older models not supported. This package contains the
list of supported models. Printerdrake installs it automatically to
determine whether HPLIP has to be installed or not.

%package gui
Summary: HPLIP graphical tools
Group: System/Printing
Requires:python-qt4-gui
Requires: %{name} = %{version}-%{release}
Requires: usermode
Conflicts: hplip < 2.8.12-4

%description gui
HPLIP graphical tools.


%package hpijs
Summary: HPs printer driver IJS plug-in for GhostScript
Group: System/Printing
Requires: ghostscript
Provides: hpijs
Conflicts: printer-filters < 10.2
Conflicts: hplip <= 1.6.7-1mdv2007.0

%description hpijs
HPs printer driver IJS plug-in for GhostScript. This driver gives full
printing support for nearly all non-PostScript inkjet and laser
printers made by HP.

%package hpijs-ppds
Summary: PPD files for the HPIJS printer driver
Group: System/Printing
Requires: foomatic-filters, hplip-hpijs

%description hpijs-ppds
PPD files to use the HPIJS printer driver with foomatic-rip and a
printer spooler like CUPS, LPRng, PDQ, ...

%package doc
Summary:	Documentation for HPLIP
Group:		System/Printing

%description doc
This package contains documentation for the HPLIP driver.

This is the HP driver package to supply Linux support for most
Hewlett-Packard DeskJet, LaserJet, PSC, OfficeJet, and PhotoSmart
printers and all-in-one peripherals (also known as Multi-Function
Peripherals or MFPs), which can print, scan, copy, fax, and/or access
flash memory cards.

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}%{extraversion}
%setup -q -n %{name}-%{version}%{extraversion}

%patch0 -p1 -b .dlopen
%patch1 -p0 -b .link

# Fedora patches

# The pstotiff filter is rubbish so replace it (launchpad #528394).
%patch101 -p0 -b .pstotiff-is-rubbish

# Fix compilation.
%patch102 -p1 -b .strstr-const

# Make utils.checkPyQtImport() look for the gui sub-package (RH bug #243273).
%patch103 -p1 -b .ui-optional

# Make sure to avoid handwritten asm.
%patch104 -p1 -b .no-asm

# Corrected several IEEE 1284 Device IDs using foomatic data.
# HP Color LaserJet CM1312nfi (bug #581005).
# HP Color LaserJet 3800 (bug #581935).
# HP Color LaserJet 2840 (bug #582215).
%patch105 -p1 -b .device-ids

# Stopped hpcups pointlessly trying to read spool files
# directly (RH bug #552572).
%patch106 -p1 -b .mucks-with-spooldir

# Removed SYSFS use in udev rules and actually made them work
# (RH bug #560754).
%patch107 -p0 -b .udev-rules

# Retry when connecting to device fails (RH bug #532112).
%patch108 -p1 -b .retry-open

# Fixed hp-setup traceback when discovery page is skipped (RH bug #523685).
%patch110 -p1 -b .discovery-method

# Give up trying to print a job to a reconnected device (RH bug #515481).
%patch111 -p1 -b .device-reconnected

# Clear old printer-state-reasons we used to manage (bug #510926).
%patch112 -p1 -b .clear-old-state-reasons

# Avoid busy loop in hpcups when backend has exited (RH bug #525944).
%patch114 -p1 -b .hpcups-sigpipe

# Fixed Device ID parsing code in hpijs's dj9xxvip.c (RH bug #510926).
%patch116 -p1 -b .bad-low-ink-warning

# Add Device ID for
# HP LaserJet 1200 (bug #577308)
# HP LaserJet 1320 series (bug #579920)
# HP LaserJet 2300 (bug #576928)
# HP LaserJet P2015 Series (bug #580231)
# HP Color LaserJet 3800 (bug #581935).
# HP Color LaserJet 2840 (bug #582215).
for ppd_file in $(grep '^diff' %{PATCH117} | cut -d " " -f 4);
do
  gunzip ${ppd_file#*/}.gz
done
%patch117 -p1 -b .deviceIDs-ppd
for ppd_file in $(grep '^diff' %{PATCH117} | cut -d " " -f 4);
do
  gzip -n ${ppd_file#*/}
done

# Hpcups (ljcolor) was putting black lines where should be blank lines (RH bug #579461).
%patch118 -p1 -b .skip-blank-lines

# Added missing newline to string argument in dbglog() call (bug #585275).
%patch119 -p1 -b .dbglog-newline

# Wait for max 30s to see if a system tray becomes available (bug #569969).
%patch120 -p1 -b .no-system-tray

# Fixed bogus low ink warnings from hpijs driver (bug #643643).
%patch122 -p1 -b .hpijs-marker-supply

# Fixed traceback on error condition in device.py (bug #628125).
%patch124 -p1 -b .raw_deviceID-traceback

# Avoid UnicodeDecodeError in printsettingstoolbox.py (bug #645739).
%patch125 -p1 -b .UnicodeDecodeError

# Don't emit SIGNALs in ui4.setupdialog.SetupDialog the PyQt3 way (bug #623834).
%patch126 -p1 -b .emit-SIGNAL

# Prevent hp-fab traceback when run as root.
%patch127 -p1 -b .fab-root-crash

# Call cupsSetUser in cupsext's addPrinter method before connecting so
# that we can get an authentication callback (bug #538352).
%patch128 -p1 -b .addprinter

# Catch D-Bus exceptions in fax dialog (bug #645316).
%patch129 -p1 -b .dbus-exception

# Prevent hpaio segfaulting on invalid URIs (bug #649092).
%patch130 -p1 -b .hpaio-segfault

# Another missing newline in filter output (Ubuntu #418053).
%patch131 -p1 -b .newline

# Enable D-Bus threading (and require pygobject2) (bug #600932).
%patch132 -p1 -b .dbus-threads

# Catch GError exception when notification showing failed (bug #665577).
%patch133 -p1 -b .notification-exception

# Applied patch to fix CVE-2010-4267, remote stack overflow
# vulnerability (bug #670252).
%patch135 -p1 -b .CVE-2010-4267

# http://www.openwall.com/lists/oss-security/2011/07/26/14
#% patch136 -p1 -b .CVE-2011-2722

# Debian/Ubuntu patches

# Allow hp-info to query URIs for which there is no CUPS queue
# (Launchpad bug #329220)
%patch202 -p1 -b .query

# FixsShort-edge duplex printing if duplex is PJL-controlled
# https://bugs.launchpad.net/hplip/+bug/244295
%patch203 -p1 -b .pjl-duplex

# Corrections on the models.dat entry for the HP PhotoSmart Pro B9100,
# especially for the correct color calibration mode.
%patch204 -p1 -b .b9100

# compiling ui files to py
%patch205 -p1 -b .rebuildui

# This patch tries to make sure that black is printed with just
# the black pen, if the printer supports it
%patch206 -p1 -b .rss

# code cleanup related to char signedness
%patch207 -p1 -b .14charsign

# shebang fixes
%patch208 -p1

# place html documentation under hplip-doc/HTML/
%patch210 -p1

# Check for hpaio module in /etc/sane.d/dll.d/hplip too
#% patch211 -p1

# Delay start-up of notification utility
%patch212 -p1

# Use filter foomatic-rip instead of foomatic-rip-hplip
for PPDGZ in ppd/hpijs/*.ppd.gz
do
mv -T "$PPDGZ" "$PPDGZ.old"
zcat "$PPDGZ.old" | sed -e 's/foomatic-rip-hplip/foomatic-rip/' | gzip -c > "$PPDGZ"
rm -f "$PPDGZ.old"
done

# Make all files in the source user-writable
chmod -R u+w .

%build
%serverbuild
#needed by patch205
libtoolize --copy --force
aclocal --force
autoconf -f
#needed by patches 205 and 210
automake -f --foreign

%if !%{sane_backend}
WITHOUT_SANE="--without-sane"
%endif
%configure2_5x $WITHOUT_SANE \
	--disable-foomatic-rip-hplip-install \
	--enable-scan-build \
	--enable-gui-build \
	--enable-fax-build \
	--enable-pp-build \
	--enable-qt4 --disable-qt3 \
	--enable-hpcups-install \
	--enable-cups-drv-install \
	--enable-cups-ppd-install \
	--enable-hpijs-install \
	--enable-udev-acl-rules \
	--enable-policykit \
	--with-mimedir=%{_datadir}/cups/mime

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

# convert icons to required sizes
#convert data/images/print.png -resize 16x16 % {name}.mini.png
#convert data/images/print.png -resize 32x32 % {name}.png
#convert data/images/print.png -resize 48x48 % {name}.large.png

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}/hp
mkdir -p %{buildroot}/var/run/hplip

# Do not use the macro here, use the standard DESTDIR method as it works
# with HPLIP, in contrary to the non-standard Mandriva method
#make test-destdir DESTDIR=% {buildroot}
make install DESTDIR=%{buildroot}

# Install files which the "make install" missed to install
install -m 644 ip/hpip.h %{buildroot}%{_includedir}
install -m 644 ip/xform.h %{buildroot}%{_includedir}

# Move doc in sub-package
mv %{buildroot}%{_docdir}/%{name}-%{version}%{extraversion} %{buildroot}%{_docdir}/%{name}-doc-%{version}%{extraversion}

# Remove static libraries of SANE driver
rm -f %{buildroot}%{_libdir}/sane/libsane-hpaio*.so
rm -f %{buildroot}%{_libdir}/sane/libsane-hpaio*.la
rm -f %{buildroot}%{_sysconfdir}/sane.d/dll.conf

# Remove other unneeded files
rm -f %{buildroot}%{py_platsitedir}/*.la

# install menu icons
#mkdir -p % {buildroot}% {_iconsdir}/locolor/16x16/apps/
#install -m 644 % {name}.png -D % {buildroot}% {_iconsdir}/% {name}.png
#install -m 644 % {name}.mini.png -D % {buildroot}% {_miconsdir}/% {name}.png
#install -m 644 % {name}.large.png -D % {buildroot}% {_liconsdir}/% {name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-category='Application' \
	--remove-category='Utility' \
	--add-category='System' \
	--add-category='Settings' \
	--add-category='Printing' \
	--add-category='Qt' \
	--add-category='HardwareSettings' \
	--add-category='X-MandrivaLinux-CrossDesktop' \
	--remove-key='Version' \
	%{buildroot}%{_datadir}/applications/hplip.desktop

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-hp-sendfax.desktop << EOF
[Desktop Entry]
Name=HP Sendfax
Comment=Utility for sending faxes with HP's multi-function devices
Exec=%{_bindir}/hp-sendfax
Icon=%{_datadir}/%{name}/data/images/32x32/fax_machine.png
Terminal=false
Type=Application
Categories=TelephonyTools;Qt;Printing;Utility;X-MandrivaLinux-CrossDesktop;
EOF
#' #Fix vim's stupid syntax

rm -f %{buildroot}%{_sysconfdir}/xdg/autostart/hplip-systray.desktop

# switched to udev, no need for hal information
rm -rf %{buildroot}%{_datadir}/hal/fdi

# Regenerate hpcups PPDs on upgrade if necessary (bug #579355).
install -p -m755 %{SOURCE1} %{buildroot}%{_bindir}/hpcups-update-ppds

# Fedora pstotiff
rm -f %{buildroot}%{_sysconfdir}/cups/pstotiff.types
rm -f %{buildroot}%{_datadir}/cups/mime/pstotiff.types
rm -f %{buildroot}%{_datadir}/hplip/fax/pstotiff*
rm -f %{buildroot}%{_prefix}/lib/cups/filter/hpcac

# bork?
install -d %{buildroot}%{_sysconfdir}/cups
cp -p %{buildroot}%{_datadir}/cups/mime/pstotiff.convs %{buildroot}%{_sysconfdir}/cups/pstotiff.convs

# set up consolehelper
mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/hp-setup %{buildroot}%{_sbindir}/hp-setup
ln -s consolehelper %{buildroot}%{_bindir}/hp-setup

# Make sure pyc files are generated, otherwise we can get
# difficult to debug problems
pushd %{buildroot}%{_datadir}/%{name}
python -m compileall .
popd

%triggerin -- hplip < 2.7.7
chkconfig --del hplip

%post
%if %mdkversion < 200900
%{update_menus}
%endif
# Restart CUPS to make the Fax PPD known to it
if [ -f /etc/init.d/cups ]; then
	/sbin/service cups condrestart || :
fi

%post -n hplip-hpijs-ppds
# Restart CUPS to make the printing PPDs known to it
if [ -f /etc/init.d/cups ]; then
	/sbin/service cups condrestart || :
fi

%post -n hplip-hpijs
%{_bindir}/hpcups-update-ppds &>/dev/null ||:

%post -n hplip-model-data
/sbin/udevadm trigger --subsystem-match=usb --attr-match=idVendor=03f0

%if %mdkversion < 200900
%post -n %{hpip_libname} -p /sbin/ldconfig
%endif

%if %{sane_backend}
%post -n %{sane_hpaio_libname}
%if %mdkversion < 200900
/sbin/ldconfig
%endif
# Add HPLIP driver to /etc/sane.d/dll.conf
if ! grep ^hpaio /etc/sane.d/dll.conf >/dev/null 2>/dev/null ; then \
	echo hpaio >> /etc/sane.d/dll.conf; \
fi
%endif

%if %{sane_backend}
%preun -n %{sane_hpaio_libname}
# Remove HPLIP driver from /etc/sane.d/dll.conf
if [ "$1" = 0 ]; then \
	if grep ^hpaio /etc/sane.d/dll.conf >/dev/null 2>/dev/null ; then \
		sed '/hpaio/d' /etc/sane.d/dll.conf > /tmp/$$; \
		cp -f /tmp/$$ /etc/sane.d/dll.conf; \
		rm -f /tmp/$$; \
	fi; \
fi
%endif

%postun
%if %mdkversion < 200900
%{update_menus}
%endif
# Restart CUPS to make the removal of the Fax PPD known to it
if [ -f /etc/init.d/cups ]; then
	/sbin/service cups condrestart || :
fi

%postun -n hplip-hpijs-ppds
# Restart CUPS to make the removal of the printing PPDs known to it
if [ -f /etc/init.d/cups ]; then
	/sbin/service cups condrestart || :
fi

%if %mdkversion < 200900
%postun -n %{hpip_libname} -p /sbin/ldconfig
%endif

%if %{sane_backend}
%postun -n %{sane_hpaio_libname}
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
#doc COPYING doc/*
%config(noreplace) %{_sysconfdir}/hp
%dir /var/run/hplip/
%{_bindir}/hp-align
%{_bindir}/hp-clean
%{_bindir}/hp-colorcal
%{_bindir}/hp-devicesettings
%{_bindir}/hp-fab
%{_bindir}/hp-faxsetup
%{_bindir}/hp-firmware
%{_bindir}/hp-info
%{_bindir}/hp-levels
%{_bindir}/hp-linefeedcal
%{_bindir}/hp-makecopies
%{_bindir}/hp-makeuri
%{_bindir}/hp-mkuri
%{_bindir}/hp-pkservice
%{_bindir}/hp-plugin
%{_bindir}/hp-pqdiag
%{_bindir}/hp-printsettings
%{_bindir}/hp-probe
%{_bindir}/hp-query
%{_bindir}/hp-scan
%{_bindir}/hp-sendfax
%{_bindir}/hp-setup
%{_sbindir}/hp-setup
%{_bindir}/hp-testpage
%{_bindir}/hp-timedate
%{_bindir}/hp-unload
%{_bindir}/hp-wificonfig

%exclude %{_datadir}/hplip/data/models
# C libraries for Python
%{_libdir}/python*/*/*.so*
# CUPS backends (0755 permissions, so that CUPS 1.2 runs these backends
# as lp user)
# Note: this must be /usr/lib not % {_libdir}, since that's the
# CUPS serverbin directory.
%attr(0755,root,root) %{_prefix}/lib/cups/backend/hp*
%{_prefix}/lib/cups/filter/hpps
%{_prefix}/lib/cups/filter/hplipjs
%{_prefix}/lib/cups/filter/hpcups
%{_prefix}/lib/cups/filter/hpcupsfax
%{_prefix}/lib/cups/filter/pstotiff
%{_datadir}/cups/mime/pstotiff.convs
%config(noreplace) %{_sysconfdir}/cups/pstotiff.convs
%{_datadir}/ppd/HP/HP-Fax*.ppd*
%{_datadir}/cups/drv/hp/hpcups.drv
# Files
%dir %{_datadir}/hplip
%{_datadir}/hplip/align.py*
%{_datadir}/hplip/clean.py*
%{_datadir}/hplip/colorcal.py*
%{_datadir}/hplip/devicesettings.py*
%{_datadir}/hplip/fab.py*
%{_datadir}/hplip/fax
%{_datadir}/hplip/faxsetup.py*
%{_datadir}/hplip/firmware.py*
%{_datadir}/hplip/hpdio.py*
%{_datadir}/hplip/hpssd*
%{_datadir}/hplip/info.py*
%{_datadir}/hplip/__init__.py*
%{_datadir}/hplip/levels.py*
%{_datadir}/hplip/linefeedcal.py*
%{_datadir}/hplip/makecopies.py*
%{_datadir}/hplip/makeuri.py*
%{_datadir}/hplip/pkservice.py*
%{_datadir}/hplip/plugin.py*
%{_datadir}/hplip/pqdiag.py*
%{_datadir}/hplip/printsettings.py*
%{_datadir}/hplip/probe.py*
%{_datadir}/hplip/query.py*
%{_datadir}/hplip/scan.py*
%{_datadir}/hplip/sendfax.py*
%{_datadir}/hplip/setup.py*
%{_datadir}/hplip/testpage.py*
%{_datadir}/hplip/timedate.py*
%{_datadir}/hplip/unload.py*
%{_datadir}/hplip/wificonfig.py*
# Directories
%{_datadir}/hplip/base
%{_datadir}/hplip/copier
%dir %{_datadir}/hplip/data
%{_datadir}/hplip/data/ldl
%{_datadir}/hplip/data/localization
%{_datadir}/hplip/data/models
%{_datadir}/hplip/data/pcl
%{_datadir}/hplip/data/ps
%{_datadir}/hplip/installer
%{_datadir}/hplip/pcard
%{_datadir}/hplip/prnt
%{_datadir}/hplip/scan
%{_datadir}/polkit-1/actions/com.hp.hplip.policy
%{_datadir}/dbus-1/system-services/com.hp.hplip.service
%{_localstatedir}/lib/hp/hplip.state
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/com.hp.hplip.conf

%files doc
%defattr(-,root,root)
%doc %{_docdir}/%{name}-doc-%{version}%{extraversion}

%files -n %{hpip_libname}
%defattr(-,root,root)
%{_libdir}/libhpip*.so.*
%{_libdir}/libhpmud.so.*

%files -n %{hpip_libname}-devel
%defattr(-,root,root)
%{_includedir}/hpip.h
%{_includedir}/xform.h
%{_libdir}/libhpip*.so
%{_libdir}/libhpip*.la
%{_libdir}/libhpmud.so
%{_libdir}/libhpmud.la

%if %{sane_backend}

%files -n %{sane_hpaio_libname}
%defattr(-,root,root)
%{_libdir}/sane/libsane-hpaio*.so.*

%if 0
%files -n %{sane_hpaio_libname}-devel
%defattr(-,root,root)
#{_libdir}/libsane-hpaio*.so
#{_libdir}/libsane-hpaio*.a
#{_libdir}/libsane-hpaio*.la
#{_libdir}/sane/libsane-hpaio*.so
#{_libdir}/sane/libsane-hpaio*.a
#{_libdir}/sane/libsane-hpaio*.la
%endif

%endif

%files model-data
%defattr(-,root,root)
%{_sysconfdir}/udev/rules.d/*.rules
%{_datadir}/hplip/data/models

%files gui
%{_bindir}/hp-check
%{_bindir}/hp-print
%{_bindir}/hp-systray
%{_bindir}/hp-toolbox
%{_datadir}/applications/*.desktop
# Files
%{_datadir}/hplip/check.py*
%{_datadir}/hplip/print.py*
%{_datadir}/hplip/systray.py*
%{_datadir}/hplip/toolbox.py*
# Directories
%{_datadir}/hplip/data/images
%{_datadir}/hplip/ui4

%files hpijs
%defattr(-,root,root)
%{_bindir}/hpijs
# Needed for both printing and fax PPDs. They all need HPIJS, therefore
# the link is here
%dir %{_datadir}/ppd
%dir %{_datadir}/ppd/HP
%{_bindir}/hpcups-update-ppds

%files hpijs-ppds
%defattr(-,root,root)
%{_datadir}/ppd/HP/apollo*.ppd*
%{_datadir}/ppd/HP/hp-*.ppd*


%changelog
* Mon Oct 24 2011 Alexander Barakin <abarakin@mandriva.org> 3.11.10-1
+ Revision: 705856
- new upstream version (3.11.10)

* Tue Sep 27 2011 Alexander Barakin <abarakin@mandriva.org> 3.11.7-2
+ Revision: 701492
- use filter foomatic-rip instead of foomatic-rip-hplip

* Mon Sep 05 2011 Oden Eriksson <oeriksson@mandriva.com> 3.11.7-1
+ Revision: 698283
- 3.11.7
- rediffed some patches
- P136: security fix for CVE-2011-2722

* Mon Jul 18 2011 Oden Eriksson <oeriksson@mandriva.com> 3.11.5-2
+ Revision: 690293
- rebuilt against new net-snmp libs

* Sun May 15 2011 Oden Eriksson <oeriksson@mandriva.com> 3.11.5-1
+ Revision: 674938
- 3.11.5
- rediff patches
- adjust the deviceIDs patch because these ones are gone:
  hp-laserjet_p2015dn_series-ps.ppd
  hp-laserjet_p2015n_series-ps.ppd
  hp-laserjet_p2015_series-ps.ppd
  hp-laserjet_p2015x_series-ps.ppd

* Sat May 07 2011 Funda Wang <fwang@mandriva.org> 3.11.3-1
+ Revision: 672097
- update linkage patch
- fix linkage
- update file list
- new version 3.11.3

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 3.11.1-3
+ Revision: 665446
- mass rebuild

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 3.11.1-2
+ Revision: 640208
- rebuild to obsolete old packages

* Mon Feb 07 2011 Matthew Dawkins <mattydaw@mandriva.org> 3.11.1-1
+ Revision: 636746
- added back missing portion of the patch
- new version 3.11.1
- p119 hplip-dbglog-newline.patch rediffed
- p121 hplip-openPPD.patch upstreamed
- p122 hplip-hpijs-marker-supply.patch fix from fedora
- p123 hplip-addgroup.patch upstreamed
- p128 hplip-addprinter.patch rediffed
- p134 hplip-cups-web.patch upstreamed
- p205 85_rebuild_python_ui.dpatch rediffed
- p210 87_move_documentation.dpatch rediffed
- p213 hplip-3.10.9-alt-undefined-DBG.patch upstreamed

* Tue Jan 25 2011 Eugeni Dodonov <eugeni@mandriva.com> 3.10.9-3
+ Revision: 632564
- Make it installable again.

* Sat Jan 22 2011 Oden Eriksson <oeriksson@mandriva.com> 3.10.9-2
+ Revision: 632373
- fix deps (duh!)

* Thu Jan 20 2011 Oden Eriksson <oeriksson@mandriva.com> 3.10.9-1
+ Revision: 631828
- 3.10.9 (sync with hplip-3.10.9-14.fc15.src.rpm, P122 -> P135)
- P135: fixes CVE-2010-4267 (MDVSA-2011:013)
- P213: fix undefined DBG (alt linux)

* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 3.10.6-4mdv2011.0
+ Revision: 591553
- fix build with broken new rpm's exclude logic

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 3.10.6-3mdv2011.0
+ Revision: 584967
- rebuild

* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 3.10.6-2mdv2011.0
+ Revision: 575043
- rebuild for new python-sip

* Tue Aug 17 2010 Matthew Dawkins <mattydaw@mandriva.org> 3.10.6-1mdv2011.0
+ Revision: 570727
- new version 3.10.6
- rediff hplip-pstotiff-is-rubbish.patch
- rediff hplip-udev-rules.patch
- fixed patch macro for patches 120 & 121

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add patches from fedora :
    - Wait for max 30s to see if a system tray becomes available (RHBZ bug #569969).
    - Prevent segfault in cupsext when opening PPD file (RHBZ bug #572775).

* Tue May 11 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.10.2-5mdv2010.1
+ Revision: 544497
- Fix file list
- Fix buildrequires
- Install hpcups-update-ppds
- Clear old printer-state-reasons we used to manage (RH bug #510926).
- Fix patch119
- Added missing newline to string argument in dbglog() call (RH bug #585275).
- Add more infos about added printers
- Fixed black/blank lines in ljcolor hpcups output (RH bug #579461).
  Work-around is to send entire blank raster lines instead of skipping them.
- Added/corrected more IEEE 1284 Device IDs P117 ( from fedora )
- Regenerate hpcups PPDs on upgrade if necessary (rhbz #579355).
  CCBUG:58607

* Mon Apr 05 2010 Tiago Salem <salem@mandriva.com.br> 3.10.2-2mdv2010.1
+ Revision: 531857
- set cups backend permissions to 755, then cups can run them as lp user
- bump release

* Tue Mar 02 2010 Frederik Himpe <fhimpe@mandriva.org> 3.10.2-1mdv2010.1
+ Revision: 513618
- Update to new version 3.10.2
- Sync patches with Fedora:
  * The pstotiff filter is rubbish so replace it (launchpad #528394).
  * Corrected several IEEE 1284 Device IDs using foomatic data.
  * Stopped hpcups pointlessly trying to read spool files directly (RH bug #552572).
  * Removed SYSFS use in udev rules and actually made them work (RH bug #560754) (replaces sed hack in SPEC file)
  * Retry when connecting to device fails (RH bug #532112).
  * Fixed Device ID parsing code in hpijs's dj9xxvip.c (RH bug #510926).
- Updated hplip-rebuild_python_ui.patch from Ubuntu

* Thu Jan 14 2010 Frederic Crozat <fcrozat@mandriva.com> 3.9.12-3mdv2010.1
+ Revision: 491515
- Fix obsolete syntax in udev rules

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 3.9.12-2mdv2010.1
+ Revision: 488764
- rebuilt against libjpeg v8

  + Frederik Himpe <fhimpe@mandriva.org>
    - Remove unrecognized ./configure options
    - Add %%post script which triggers udev rules necessary for setting
      correct permissions on HP USB devices, so that scanning works without
      rebooting or replugging scanner (bug #56678)

* Tue Dec 22 2009 Frederic Crozat <fcrozat@mandriva.com> 3.9.12-1mdv2010.1
+ Revision: 481482
- Release 3.9.12
- Remove patches 101 and 115 (merged upstream)

* Sun Nov 22 2009 Frederik Himpe <fhimpe@mandriva.org> 3.9.10-1mdv2010.1
+ Revision: 469152
- Update to new version 3.9.10
- Remove patches integrated upstream
- Sync Debian and Fedora patches
- Require polkit-agent instead of just polkit

* Fri Oct 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.9.8-8mdv2010.0
+ Revision: 458992
- Install more ppd files

* Mon Oct 19 2009 Frederik Himpe <fhimpe@mandriva.org> 3.9.8-7mdv2010.0
+ Revision: 458264
- Start hp-setup with consolehelper again, because it still does not work
  as non-root user (bug #53800)
- Run automake in order to install correct polkit-1 file instead of
  obsolete policykit file. Fixes installation of plug-in as non-root
  (bug #53800 comment #4)
- Add patch to dlopen libhpmud.so.0 instad of libhpmud.so, in order not
  to depend on devel package
  (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=548379). Should fix
  network scanning

* Thu Oct 15 2009 Oden Eriksson <oeriksson@mandriva.com> 3.9.8-6mdv2010.0
+ Revision: 457613
- rebuilt against new net-snmp libs

* Wed Oct 14 2009 Oden Eriksson <oeriksson@mandriva.com> 3.9.8-5mdv2010.0
+ Revision: 457379
- fix deps

* Mon Oct 05 2009 Frederik Himpe <fhimpe@mandriva.org> 3.9.8-4mdv2010.0
+ Revision: 454177
- Fix BuildRequires
- Sync with Fedora and Debian patches:
  * Uses policykit-1 now
- Enable parallel port support

* Thu Sep 03 2009 Frederic Crozat <fcrozat@mandriva.com> 3.9.8-3mdv2010.0
+ Revision: 427740
- Switch to udev-acl (partially fixes Mdv bug #52951)

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 3.9.8-2mdv2010.0
+ Revision: 416526
- rebuilt against libjpeg v7

* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 3.9.8-1mdv2010.0
+ Revision: 410391
- Update to new version 3.9.8
- Sync Fedora patches (most were integrated upstream)
- Don't set up consolehelper links anymore, now policykit is used

* Mon Aug 03 2009 Frederik Himpe <fhimpe@mandriva.org> 3.9.6b-1mdv2010.0
+ Revision: 408492
- Fix BuildRequires
- Update to new version 3.9.6b
- Sync patches with Fedora
- Remove Debian patch now included upstream
- Update string format patch
- Remove unresolved symbols patch: not needed anymore
- Remove consolehelper patch: not needed anymore because hplip now uses
  policykit
- Run autoconf instead of autoreconf and libtoolize because the latter
  two break the build
- Sync configure options with Fedora

* Tue Mar 17 2009 Frederik Himpe <fhimpe@mandriva.org> 3.9.2-2mdv2009.1
+ Revision: 356869
- Remove kdesu patch, instead use consolehelper to run hp-setup
  and hp-plugin
- Build pyc files, otherwise this can lead to hard to debug problems
  py files run as root are moved in a new version
- Package fax pdd (fixes #48657)
- Renumber patch11 to patch207 to reflect the fact that it
  comes from Debian
- Add patch to make hp-toolbox look for kdesu in the right directory
  (partially fixes bug #48870)

* Tue Mar 17 2009 Frederik Himpe <fhimpe@mandriva.org> 3.9.2-1mdv2009.1
+ Revision: 356312
- Update to new version 3.9.2 (important bug fixes for QT4 GUI and
  support for new printer models)
- Redif patch fixing unresolved symbols
- Remove utf-8 patch: fixed upstream
- Sync patches with Fedora (add build fix, remove quit patch integrated
  upstream)
- Add some Debian/Ubuntu patches (rss patch to improve black on some
  printers, correct PhotoSmart B9100 colour profile, make it possible
  to use hpinfo without cups queue, rebuild ui files to py, fix duplex
  binding on PJL, upstream fix preventing hang and crashes in hpdio
  settings dialog)
- Don't install udev rules and hal preprobe fdi file, they cause
  many problems (launchpad bugs #319660, #319661, #319662, #319665,
  RH bug #479648)
- Install Fedora's fdi file to set correct permissions on devices

* Tue Feb 03 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.12-4mdv2009.1
+ Revision: 337069
- sync with Fedora: :
  * Crash fix (RH bug #479808 comment 6)
  * fix quit menu in device manager (RH bug #479751)
  * Don't read config file in /root (RH bug 241776)
  * Don't use rpath
  * Split out gui in separate hplip-gui package
- run libtoolize to build with new libtool
- remove obsolete configure option
- suggest foomatic-db-hpijs (bug #47415)
- Remove old unapplied patches

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 2.8.12-3mdv2009.1
+ Revision: 318837
- rebuild for new python

* Wed Dec 24 2008 Funda Wang <fwang@mandriva.org> 2.8.12-2mdv2009.1
+ Revision: 318236
- drop python qt3 requirement
- update license

* Wed Dec 24 2008 Frederik Himpe <fhimpe@mandriva.org> 2.8.12-1mdv2009.1
+ Revision: 318159
- Update to new version 2.8.12
- Remove script for creation of Hal fdi file, fixed upstream
- Remove patches for problems fixed upstream: A3, Photosmart 1750~,
  no-root-config
- Resync relevant patches with Fedora
- Add patch fixing built with -Werror=format-security
- Add patch fixing unresolved symbols, and integrate libsane linking
  patch from Fedora in this patch
- Only build QT4 GUI, don't build QT3 GUI, remove patch to force QT4
  systray

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Nov 02 2008 Olivier Blin <blino@mandriva.org> 2.8.7-6mdv2009.1
+ Revision: 299304
- fix icon for sendfax tool in desktop entry

* Wed Sep 10 2008 Tiago Salem <salem@mandriva.com.br> 2.8.7-5mdv2009.0
+ Revision: 283509
- add patch to fix A3 paper size (#43337)
  see (https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/258881)
- bump release

* Thu Sep 04 2008 Tiago Salem <salem@mandriva.com.br> 2.8.7-4mdv2009.0
+ Revision: 280933
- remove non-working patch to disable autostart.
- remove the desktop file to prevent hp-systray autostart
- bump release

* Tue Sep 02 2008 Tiago Salem <salem@mandriva.com.br> 2.8.7-3mdv2009.0
+ Revision: 279258
- add patch to fix https://qa.mandriva.com/show_bug.cgi?id=35782
- bump release

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 2.8.7-2mdv2009.0
+ Revision: 273274
- disabling system tray applet auto start
  hplip needs to be installed even if you dont have a hp printer.
- bump release

* Thu Jul 31 2008 Frederik Himpe <fhimpe@mandriva.org> 2.8.7-1mdv2009.0
+ Revision: 257938
- update to new version 2.8.7

* Wed Jul 30 2008 Frederik Himpe <fhimpe@mandriva.org> 2.8.6b-1mdv2009.0
+ Revision: 256258
- update to new version 2.8.6b

* Mon Jun 23 2008 Tiago Salem <salem@mandriva.com.br> 2.8.6-1mdv2009.0
+ Revision: 228452
- Version 2.8.6
- change some patches to apply on the new version
- prevent errors related to cups service when removing package.

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 17 2008 Frederik Himpe <fhimpe@mandriva.org> 2.8.5-2mdv2009.0
+ Revision: 208467
- Make hplip depend on hplip-hpijs-ppds (fixes bug #39091: PPD file
  for OfficeJet 9100 missing)

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 2.8.5-1mdv2009.0
+ Revision: 205808
- Remove all obsolete patches and references to them in the SPEC file
- Remove hack in SPEC file which fixes Gentoo bug #161926, it was fixed
  upstream already in 2.7.7
- New upstream version 2.8.5
- Remove OpenSUSE patch to prevent loading of systray applet: it is integrated
  upstream
- Remove unload-traceback.patch: the file it patches no longer exists
- Create 70-hpmud.fdi hal file so that hal/consolekit will set the correct
  permissions when a HP scanner is plugged in (script from OpenSUSE/Ubuntu)
- Use QT4 for system tray applet GUI, because the QT3 version does
  not embed correctly in GNOME's notification area and Mandriva
  2009.0 uses QT4/KDE4 by default anyway
- Add BuildRequires: libdbus-devel
- Update to 2.8.4
- Comment some obsolete patches
- Add patch from OpenSUSE preventing system tray applet from starting
  if no HP printer is present

* Wed Feb 13 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.8.2-2mdv2008.1
+ Revision: 167077
- Move HP-Fax*ppd from hplip-hpijs-ppds to hplip main package, as we are using cupsddk for ppds by now.
- Enhance .desktop categories for hp-sendfax tool.

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description

* Mon Feb 11 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.8.2-1mdv2008.1
+ Revision: 165458
- Removed patch marker-supply: applied upstream.
- Adds requires to cupsddk-drivers >= 1.2.3-2mdv, for dynamic ppd generation.
- New upstream: 2.8.2

* Mon Jan 28 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.7.12-2mdv2008.1
+ Revision: 159259
- Do not hide cups service restart output.

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Dec 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.7.12-1mdv2008.1
+ Revision: 135754
- New upstream: 2.7.12

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 22 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.7.10-1mdv2008.1
+ Revision: 101112
- New upstream: 2.7.10

* Wed Oct 10 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.7.9-1mdv2008.1
+ Revision: 96925
- New upstream: 2.7.9

  + Thierry Vignaud <tv@mandriva.org>
    - do not harcode icon extension

* Wed Sep 19 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.7.7-8mdv2008.0
+ Revision: 90111
- Fix menu categories (Bug #33079)

* Wed Sep 12 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.7.7-7mdv2008.0
+ Revision: 84647
- Cleanup old initscript when upgrading from an old package. Closes: #32398

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Aug 22 2007 Oden Eriksson <oeriksson@mandriva.com> 2.7.7-6mdv2008.0
+ Revision: 68945
- ehh, i meant System/Printing :)
- fix deps sip/python-sip
- use the new System/Printers RPM GROUP

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.7.7-5mdv2008.0
+ Revision: 60202
- rebuilt against new net-snmp libs

* Wed Aug 08 2007 Funda Wang <fwang@mandriva.org> 2.7.7-4mdv2008.0
+ Revision: 60116
- BR desktop-file-utils
- Add desktop file patch from fedora
- use hplip's own desktop file

* Wed Aug 08 2007 Funda Wang <fwang@mandriva.org> 2.7.7-3mdv2008.0
+ Revision: 60079
- No more hardware category (bug#32383)
- fix typo
- add more appropriate desktop entry category

* Sat Aug 04 2007 Funda Wang <fwang@mandriva.org> 2.7.7-1mdv2008.0
+ Revision: 58934
- New version 2.7.7

* Wed Jul 25 2007 Funda Wang <fwang@mandriva.org> 2.7.6-1mdv2008.0
+ Revision: 55449
- Add gentoo fix for gentoobug#161926, to be fixed in upstream 2.7.7
- fix desktop entry categories
- no more service
- fix file list
- kill old menu
- Merge fedora patches
- Rediff patch11
- add official patch
- New version

* Wed Jun 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.7.4a-2mdv2008.0
+ Revision: 41898
- Use py_requires macro.

* Sun May 13 2007 Funda Wang <fwang@mandriva.org> 1mdv2008.0-current
+ Revision: 26583
- remove python sitepackages la files
- New upstream version

